org.apache.tapestry5.internal.services

## Enum ResourceStreamer.Options

- java.lang.Object
- - java.lang.Enum<ResourceStreamer.Options>
  - - org.apache.tapestry5.internal.services.ResourceStreamer.Options

- All Implemented Interfaces:
    Serializable, Comparable<ResourceStreamer.Options>
  Enclosing interface:
    ResourceStreamer

      public static enum ResourceStreamer.Options
      extends Enum<ResourceStreamer.Options>

  Used to customize the behavior of `ResourceStreamer.streamResource(org.apache.tapestry5.ioc.Resource, java.lang.String, java.util.Set)`.
  Since:
    5.4

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OMIT_EXPIRATION` Omit the normal expiration date header; this is appropriate for JavaScript modules, which cannot include their own checksum in the URL (instead, we rely on ETags to prevent unwanted data transfer).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResourceStreamer.Options` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ResourceStreamer.Options[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OMIT_EXPIRATION

          public static final ResourceStreamer.Options OMIT_EXPIRATION

      Omit the normal expiration date header; this is appropriate for JavaScript modules, which cannot include their own checksum in the URL (instead, we rely on ETags to prevent unwanted data transfer).

  - ### Method Detail

    - #### values

          public static ResourceStreamer.Options[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResourceStreamer.Options c : ResourceStreamer.Options.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResourceStreamer.Options valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.